com.verisign.epp.codec.registry.v02

## Class EPPRegistryPendingDeletePeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.v02.EPPRegistryPendingDeletePeriodType

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryPendingDeletePeriodType
      extends EPPRegistryPeriodType

  Defines the length of time that the domain object will remain in the pendingDelete status prior to be purged.
  See Also:
    `EPPRegistryRGP`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `EPPRegistryPeriodType.Unit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryPendingDeletePeriodType`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `ATTR_UNIT, number, unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryPendingDeletePeriodType()` Default constructor.
    `EPPRegistryPendingDeletePeriodType(java.lang.Integer aNumber, EPPRegistryPeriodType.Unit aUnit)` Constructs an instance of `EPPRegistryPendingDeletePeriodType` with `number` and `unit`.
    `EPPRegistryPendingDeletePeriodType(int aNumber, EPPRegistryPeriodType.Unit aUnit)` Constructs an instance of `EPPRegistryPendingDeletePeriodType` with `number` and `unit`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootName()` Gets the root element local name.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType

      `clone, decode, encode, equals, getNumber, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryPendingDeletePeriodType`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryPendingDeletePeriodType

          public EPPRegistryPendingDeletePeriodType()

      Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)` and `EPPRegistryPeriodType.setUnit(EPPRegistryPeriodType.Unit)` before calling `EPPRegistryPeriodType.encode(org.w3c.dom.Document)` method.

    - #### EPPRegistryPendingDeletePeriodType

          public EPPRegistryPendingDeletePeriodType(java.lang.Integer aNumber,
                                                    EPPRegistryPeriodType.Unit aUnit)

      Constructs an instance of `EPPRegistryPendingDeletePeriodType` with `number` and `unit`.
      Parameters:
        `aNumber` - number must be > 0
        `aUnit` - unit must be one of `Unit.y`, `Unit.m`, `Unit.d`, or `Unit.h`.

    - #### EPPRegistryPendingDeletePeriodType

          public EPPRegistryPendingDeletePeriodType(int aNumber,
                                                    EPPRegistryPeriodType.Unit aUnit)

      Constructs an instance of `EPPRegistryPendingDeletePeriodType` with `number` and `unit`.
      Parameters:
        `aNumber` - number must be > 0
        `aUnit` - unit must be one of `Unit.y`, `Unit.m`, `Unit.d`, or `Unit.h`.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Overrides:
        `getRootName` in class `EPPRegistryPeriodType`
      Returns:
        Root element local name.